%define upstream_name constant-boolean
%define upstream_version 0.02

Name:           perl-%upstream_name
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
Summary:        Define TRUE and FALSE constants
License:        GPL+ or Artistic
Group:          Development/C
URL:            https://metacpan.org/release/constant-boolean
Source0:        https://cpan.metacpan.org/authors/id/D/DE/DEXTER/constant-boolean-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Symbol::Util)

%{?perl_default_filter}

%description
Defines TRUE and FALSE constants in caller's namespace. You could use
simple values like empty string or zero for false, or any non-empty and non-
zero string value as true, but the TRUE and FALSE constants are more
descriptive.

%prep
%setup -q -n constant-boolean-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.20.0-6.mga9
+ Revision: 1811347
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.20.0-5.mga8
+ Revision: 1523001
- Mageia 8 Mass Rebuild

* Fri Feb 15 2019 tv <tv> 0.20.0-4.mga7
+ Revision: 1367274
- use %%perl_convert_version
- use upstream_name

* Wed Sep 19 2018 umeabot <umeabot> 0.02-3.mga7
+ Revision: 1266673
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.02-2.mga6
+ Revision: 1024322
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 tv <tv> 0.02-1.mga6
+ Revision: 995056
- imported package perl-constant-boolean


* Thu Mar 24 2016 Thierry Vignaud <tv@mageia.org> 0.02-1.mga6
- import from FC
